#!/bin/sh
echo Content-type: text/html
echo

cat<<EOF
<HTML>
<HEAD>
<TITLE>$(n=$(nvram get wan_hostname);echo ${n:-JAWUG}) - $TITLE</TITLE>
<META CONTENT="text/html; charset=iso-8859-1" HTTP-EQUIV="Content-Type">
<META CONTENT="no-cache" HTTP-EQUIV="cache-control">
<LINK HREF="../jawug.css" REL="StyleSheet" TYPE="text/css">
<LINK HREF="sven-ola*t*gmx*de" REV="made" TITLE="Sven-Ola">
EOF

unescape()
{
s=$(echo "$1"|sed -e"s/+/%20/g")
echo -n ${s%%%*}
if [ -n "$s" ] && [ "$s" != "${s#*%}" ];then
IFS=\%
set ${s#*%}
unset IFS
for i in "$@";do
echo -n -e "\\x$(echo $i|dd bs=1 count=2 2>&-)"
echo -n ${i#??}
done
fi
}
checkbridge()
{
ret=0
. /etc/functions.sh
dev=$(nvram get wifi_ifname)
if [ -z "$dev" ]; then
# 8Mb device may die in S15ffnvram, so correct
dev=$(sed -n 's/^ *\([^:]\+\):.*/\1/p' /proc/net/wireless)
if [ -n "$dev" ]; then
nvram set wifi_ifname=$dev
ret=1
fi
fi
if [ -n "$dev" ]; then
fnd=
old="$(nvram get lan_ifnames)"
for i in $old; do
test "$i" = "$dev" && fnd=1
done
wbr=
adr=$(nvram get wifi_ipaddr)
if [ -z "$adr" ] || [ "$adr" = "$(nvram get lan_ipaddr)" ];then
# WIFI dev should be in the bridge list
wbr=1
fi
if [ "$wbr" != "$fnd" ]; then
if [ -z "$wbr" ]; then
new=
for i in $old; do
test "$i" != "$dev" && new="$new $i"
done
new=${new# }
else
new="$old $dev"
fi
/usr/sbin/nvram set lan_ifnames="$new"
if [ -z "$(/usr/sbin/nvram get lan_ifname)" ]; then
lan=$(nvram get lan_ifname)
test -z "$lan" || lan=br0
nvram set lan_ifname=$lan
fi
ret=1
fi
fi
return $ret
}

cat<<EOF
<SCRIPT LANGUAGE="JavaScript" TYPE="text/javascript"><!--
function help(e) {
if (!e) e = event;
// (virt)KeyVal is Konqueror, charCode is Moz/Firefox, else MSIE, Netscape, Opera
if (26 == e.virtKeyVal || !e.keyVal && !e.charCode && 112 == (e.which || e.keyCode)) {
var o = null;
if (e.preventDefault) {
if (e.cancelable) e.preventDefault();
o = e.target;
}
else {
e.cancelBubble = true;
o = e.srcElement;
}
while(!!o && '' == o.title) o = o.parentNode;
if (!!o) alert(o.title);
}
}
if (document.all) {
document.onkeydown = help;
document.onhelp = function(){return false;}
}
else {
document.onkeypress = help;
}
//--></SCRIPT>
</HEAD>
<BODY LEFTMARGIN="0" TOPMARGIN="0">
<DIV STYLE="position:absolute;top:0px;left:0px;"><A HREF="http://www.jawug.za.net/"><IMG ALT="JAWUG Homepage" BORDER="0" HEIGHT="116" SRC="../images/jawug-logo.gif" WIDTH="150" TITLE="JAWUG Homepage"></A></DIV>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="0" CLASS="body">
<TR>
<TD ALIGN="LEFT" HEIGHT="86" VALIGN="TOP" WIDTH="150"></TD>
<TD ALIGN="LEFT" HEIGHT="86" VALIGN="TOP" WIDTH="5"></TD>
<TD ALIGN="LEFT" HEIGHT="86" VALIGN="TOP"></TD>
<TD ALIGN="LEFT" HEIGHT="86" VALIGN="TOP"></TD>
</TR>
<TR>
<TD BGCOLOR="#AA551C" HEIGHT="19" VALIGN="TOP" WIDTH="150"><BIG CLASS="plugin">Admin</BIG></TD>
<TD HEIGHT="19" VALIGN="TOP" WIDTH="5"></TD>
<TD CLASS="magenta" HEIGHT="19" VALIGN="TOP"><SPAN CLASS="color"><A CLASS="color" HREF="../cgi-bin-index.html">Home</A></SPAN><IMG ALT="" HEIGHT="10" HSPACE="2" SRC="../images/vertbar.gif" WIDTH="1"><SPAN CLASS="color"><A CLASS="color" HREF="index.html">Admin</A></SPAN></TD>
<TD ALIGN="RIGHT" CLASS="magenta" HEIGHT="19" VALIGN="TOP"><SPAN CLASS="magenta">&nbsp;v1.6.37</SPAN></TD>
</TR>
<TR>
<TD CLASS="color" ROWSPAN="3" VALIGN="TOP" WIDTH="150">
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="7" WIDTH="150">
<TR>
<TD><BIG CLASS="plugin">Admin</BIG></TD>
</TR>
EOF

for inc in /www/cgi-bin/[0-9][0-9]-*;do test -n "${inc##*.sh}" && cat $inc ||. $inc;done

cat<<EOF
</TABLE>
<DIV CLASS="white"></DIV></TD>
<TD ROWSPAN="3" VALIGN="TOP" WIDTH="5"></TD>
<TD COLSPAN="2" ROWSPAN="3" VALIGN="TOP">
EOF
